Show / Hide Table of Contents

# Struct ImColorPtr

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: ImGuiNET

###### Assembly: ImGui.NET.dll

##### Syntax

    public struct ImColorPtr

### Constructors

| Improve this Doc View Source

#### ImColorPtr(ImColor*)

##### Declaration

    public ImColorPtr(ImColor*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImColor* | nativePtr |

| Improve this Doc View Source

#### ImColorPtr(IntPtr)

##### Declaration

    public ImColorPtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

### Properties

| Improve this Doc View Source

#### NativePtr

##### Declaration

    public ImColor*NativePtr { get; }

##### Property Value

Type | Description
--- | ---
ImColor* |

| Improve this Doc View Source

#### Value

##### Declaration

    public Vector4 Value { get; }

##### Property Value

Type | Description
--- | ---
System.Numerics.Vector4 |

### Methods

| Improve this Doc View Source

#### Destroy()

##### Declaration

    public void Destroy()

| Improve this Doc View Source

#### HSV(Single, Single, Single)

##### Declaration

    public ImColor HSV(float h, float s, float v)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Single | h |
System.Single | s |
System.Single | v |

##### Returns

Type | Description
--- | ---
ImColor |

| Improve this Doc View Source

#### HSV(Single, Single, Single, Single)

##### Declaration

    public ImColor HSV(float h, float s, float v, float a)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Single | h |
System.Single | s |
System.Single | v |
System.Single | a |

##### Returns

Type | Description
--- | ---
ImColor |

| Improve this Doc View Source

#### SetHSV(Single, Single, Single)

##### Declaration

    public void SetHSV(float h, float s, float v)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Single | h |
System.Single | s |
System.Single | v |

| Improve this Doc View Source

#### SetHSV(Single, Single, Single, Single)

##### Declaration

    public void SetHSV(float h, float s, float v, float a)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Single | h |
System.Single | s |
System.Single | v |
System.Single | a |

### Operators

| Improve this Doc View Source

#### Implicit(ImColor* to ImColorPtr)

##### Declaration

    public static implicit operator ImColorPtr(ImColor*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImColor* | nativePtr |

##### Returns

Type | Description
--- | ---
ImColorPtr |

| Improve this Doc View Source

#### Implicit(ImColorPtr to ImColor*)

##### Declaration

    public static implicit operator ImColor*(ImColorPtr wrappedPtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImColorPtr | wrappedPtr |

##### Returns

Type | Description
--- | ---
ImColor* |

| Improve this Doc View Source

#### Implicit(IntPtr to ImColorPtr)

##### Declaration

    public static implicit operator ImColorPtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

##### Returns

Type | Description
--- | ---
ImColorPtr |